client.webhooks.delete()
await client.webhooks.delete();
curl -X DELETE 'https://api.hydradb.com/webhooks/indexing' \
-H "Authorization: Bearer $HYDRADB_API_KEY" \
-H "API-Version: 2"
{
"data": {
"deleted": true,
"message": "Success"
},
"error": null,
"meta": {
"collection": "team_docs",
"database": "acme_corp",
"latency_ms": 12.3,
"request_id": "9d13aef4-02f4-4e73-8c62-4c2601d04f9d",
"source_type": "file",
"sub_tenant_id": "sub_tenant_4567",
"tenant_id": "tenant_1234",
"warnings": [
{
"code": "acl_ignored_by_connector_enforcement",
"message": "This connector enforces ACL, so the request's acl was ignored."
}
]
},
"success": true
}{
"data": null,
"detail": {
"deprecated": true,
"deprecated_field": "tenant_id",
"deprecated_since": "2.0.1",
"error_code": "VALIDATION_ERROR",
"message": "Request validation failed",
"preferred_field": "database",
"retry_after_seconds": 1,
"retryable": true
},
"error": {
"code": "DATABASE_NOT_FOUND",
"message": "Database not found"
},
"meta": {
"latency_ms": 12.3,
"request_id": "9d13aef4-02f4-4e73-8c62-4c2601d04f9d"
},
"success": false
}Webhooks
Delete Webhook
Delete the webhook registration for your organization.
DELETE
/
webhooks
/
indexing
client.webhooks.delete()
await client.webhooks.delete();
curl -X DELETE 'https://api.hydradb.com/webhooks/indexing' \
-H "Authorization: Bearer $HYDRADB_API_KEY" \
-H "API-Version: 2"
{
"data": {
"deleted": true,
"message": "Success"
},
"error": null,
"meta": {
"collection": "team_docs",
"database": "acme_corp",
"latency_ms": 12.3,
"request_id": "9d13aef4-02f4-4e73-8c62-4c2601d04f9d",
"source_type": "file",
"sub_tenant_id": "sub_tenant_4567",
"tenant_id": "tenant_1234",
"warnings": [
{
"code": "acl_ignored_by_connector_enforcement",
"message": "This connector enforces ACL, so the request's acl was ignored."
}
]
},
"success": true
}{
"data": null,
"detail": {
"deprecated": true,
"deprecated_field": "tenant_id",
"deprecated_since": "2.0.1",
"error_code": "VALIDATION_ERROR",
"message": "Request validation failed",
"preferred_field": "database",
"retry_after_seconds": 1,
"retryable": true
},
"error": {
"code": "DATABASE_NOT_FOUND",
"message": "Database not found"
},
"meta": {
"latency_ms": 12.3,
"request_id": "9d13aef4-02f4-4e73-8c62-4c2601d04f9d"
},
"success": false
}Deletes the webhook registration. HydraDB stops sending deliveries, and the stored signing secret is discarded along with the registration.
To stop signing deliveries while keeping the webhook itself, call Disable Signing instead. See Manage the signing secret.
client.webhooks.delete()
await client.webhooks.delete();
curl -X DELETE 'https://api.hydradb.com/webhooks/indexing' \
-H "Authorization: Bearer $HYDRADB_API_KEY" \
-H "API-Version: 2"
Authorizations
Send your API key as Authorization: Bearer <your_api_key>.
Response
OK
Show child attributes
Show child attributes
Example:
{ "deleted": true, "message": "Success" }
Error details on failure, or null on success.
Show child attributes
Show child attributes
Example:
null
Show child attributes
Show child attributes
Example:
{
"collection": "team_docs",
"database": "acme_corp",
"latency_ms": 12.3,
"request_id": "9d13aef4-02f4-4e73-8c62-4c2601d04f9d",
"source_type": "file",
"sub_tenant_id": "sub_tenant_4567",
"tenant_id": "tenant_1234",
"warnings": [
{
"code": "acl_ignored_by_connector_enforcement",
"message": "This connector enforces ACL, so the request's acl was ignored."
}
]
}
Whether the request succeeded.
Example:
true
Was this page helpful?
